RangeIterator.Builder.Statistics (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.index.sasi.utils

## Class RangeIterator.Builder.Statistics<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

- java.lang.Object
- - org.apache.cassandra.index.sasi.utils.RangeIterator.Builder.Statistics<K,D>

- Enclosing class:
    RangeIterator.Builder<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>

      public static class RangeIterator.Builder.Statistics<K extends java.lang.Comparable<K>,D extends CombinedValue<K>>
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected RangeIterator.Builder.IteratorType` | `iteratorType`
    `protected K` | `max`
    `protected RangeIterator<K,D>` | `maxRange`
    `protected K` | `min`
    `protected RangeIterator<K,D>` | `minRange`
    `protected long` | `tokenCount`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Statistics(RangeIterator.Builder.IteratorType iteratorType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isDisjoint()`
    `double` | `sizeRatio()`
    `void` | `update(RangeIterator<K,D> range)` Update statistics information with the given range.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### iteratorType

          protected final RangeIterator.Builder.IteratorType iteratorType

    - #### min

          protected K extends java.lang.Comparable<K> min

    - #### max

          protected K extends java.lang.Comparable<K> max

    - #### tokenCount

          protected long tokenCount

    - #### minRange

          protected RangeIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>> minRange

    - #### maxRange

          protected RangeIterator<K extends java.lang.Comparable<K>,D extends CombinedValue<K>> maxRange

  - ### Constructor Detail

    - #### Statistics

          public Statistics(RangeIterator.Builder.IteratorType iteratorType)

  - ### Method Detail

    - #### update

          public void update(RangeIterator<K,D> range)

      Update statistics information with the given range. Updates min/max of the combined range, token count and tracks range with the least/most number of tokens.
      Parameters:
        `range` - The range to update statistics with.

    - #### isDisjoint

          public boolean isDisjoint()

    - #### sizeRatio

          public double sizeRatio()

Copyright © 2018 The Apache Software Foundation